LinHES - Bug # 758: LInHES 7 (test): diskless kernel26.img hooks/net ipconfig not found

Status: Closed Priority: Normal

Author: ywd Category: Packages: Core
Created: 02/20/2011 Assignee:

Updated: 11/10/2011 Due date: 08/05/2016
Description: diskless-legacy does not boot frontend. Errors out at:

Running Hook [net]
init: line 104: ipconfig: not found

Error in the /tftpboot/kernel26.img file /hooks/net line 104 has "ipconfig" instead of "ifconfig"

Got past this point by performing the following:

#extract kernel files
bsdtar -x -f /tftpboot/kernel26.img

# change line 104 to "ifconig"
vi hooks/net

# Fix locale to resolve bsdtar -u error: bsdtar: Failed to set default locale
vi /etc/locale.gen

# uncomment lines for:

en US.UTF8 UTF-8

en_US 1S0O-8859-1

# update locale
sudo locale-gen

# rebuild /tftpboot/kernel26.img
bsdtar -uf /tftpboot/kernel26.img hooks/net

Regards,
Howard

Associated revisions

08/05/2011 06:13 pm - jams
mkinitcpio: add usb disk & nfs support.
refs #758

refs #763

closes #763

History

08/05/2011 06:10 pm - jams
- Due date changed from 01/10/2011 to 08/05/2016

Comparing the kernel26.img from LinHES 6.0.1 to the current diskless test kernel26.img, the diskless test is missing files such as ipconfig from /bin. So

the above steps mentioned would NOT work to resolve diskless booting. Missing files and additional unknown changes needs to be resolved to get

08/05/2011 06:20 pm - jams
| have no way to test, but | made a change to mkinitcpio that should enable this feature again.
Please try the next R7 test ISO when it's available.

08/05/2011 06:29 pm - jams
- Status changed from New to Feedback

11/10/2011 02:15 pm - brfransen
- Status changed from Feedback to Closed
